
_interrupt:

;KaitenkeiBarMini.mbas,108 :: 		sub procedure interrupt
;KaitenkeiBarMini.mbas,110 :: 		if INT2IF_bit = 1 then
	BTFSS       INT2IF_bit+0, BitPos(INT2IF_bit+0) 
	GOTO        L__interrupt2
;KaitenkeiBarMini.mbas,111 :: 		if start_flag = TRUE then   ' save TMR1 value
	MOVF        _start_flag+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt5
;KaitenkeiBarMini.mbas,112 :: 		TMR1L_value = TMR1L
	MOVF        TMR1L+0, 0 
	MOVWF       _TMR1L_value+0 
;KaitenkeiBarMini.mbas,113 :: 		TMR1H_value = TMR1H
	MOVF        TMR1H+0, 0 
	MOVWF       _TMR1H_value+0 
;KaitenkeiBarMini.mbas,114 :: 		rotate = rotate + 1
	MOVLW       1
	ADDWF       _rotate+0, 1 
	MOVLW       0
	ADDWFC      _rotate+1, 1 
	ADDWFC      _rotate+2, 1 
	ADDWFC      _rotate+3, 1 
;KaitenkeiBarMini.mbas,115 :: 		if of_count >= UPDATE_PERIOD then
	MOVLW       0
	SUBWF       _of_count+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt215
	MOVLW       10
	SUBWF       _of_count+0, 0 
L__interrupt215:
	BTFSS       STATUS+0, 0 
	GOTO        L__interrupt8
;KaitenkeiBarMini.mbas,116 :: 		TMR1_OVF_value = of_count
	MOVF        _of_count+0, 0 
	MOVWF       _TMR1_OVF_value+0 
	MOVF        _of_count+1, 0 
	MOVWF       _TMR1_OVF_value+1 
;KaitenkeiBarMini.mbas,117 :: 		TMR1H = 0
	CLRF        TMR1H+0 
;KaitenkeiBarMini.mbas,118 :: 		TMR1L = 0
	CLRF        TMR1L+0 
;KaitenkeiBarMini.mbas,119 :: 		rotate_value = rotate
	MOVF        _rotate+0, 0 
	MOVWF       _rotate_value+0 
	MOVF        _rotate+1, 0 
	MOVWF       _rotate_value+1 
	MOVF        _rotate+2, 0 
	MOVWF       _rotate_value+2 
	MOVF        _rotate+3, 0 
	MOVWF       _rotate_value+3 
;KaitenkeiBarMini.mbas,120 :: 		of_count = 0
	CLRF        _of_count+0 
	CLRF        _of_count+1 
;KaitenkeiBarMini.mbas,121 :: 		rotate   = 0
	CLRF        _rotate+0 
	CLRF        _rotate+1 
	CLRF        _rotate+2 
	CLRF        _rotate+3 
;KaitenkeiBarMini.mbas,122 :: 		display_flag = TRUE
	MOVLW       255
	MOVWF       _display_flag+0 
L__interrupt8:
;KaitenkeiBarMini.mbas,123 :: 		end if
	GOTO        L__interrupt6
;KaitenkeiBarMini.mbas,124 :: 		else
L__interrupt5:
;KaitenkeiBarMini.mbas,125 :: 		TMR1H = 0
	CLRF        TMR1H+0 
;KaitenkeiBarMini.mbas,126 :: 		TMR1L = 0
	CLRF        TMR1L+0 
;KaitenkeiBarMini.mbas,127 :: 		of_count = 0
	CLRF        _of_count+0 
	CLRF        _of_count+1 
;KaitenkeiBarMini.mbas,128 :: 		rotate   = 0
	CLRF        _rotate+0 
	CLRF        _rotate+1 
	CLRF        _rotate+2 
	CLRF        _rotate+3 
;KaitenkeiBarMini.mbas,129 :: 		start_flag = TRUE
	MOVLW       255
	MOVWF       _start_flag+0 
;KaitenkeiBarMini.mbas,130 :: 		end if
L__interrupt6:
;KaitenkeiBarMini.mbas,131 :: 		zero_display_counter = 0
	CLRF        _zero_display_counter+0 
	CLRF        _zero_display_counter+1 
;KaitenkeiBarMini.mbas,132 :: 		INT2IF_bit = 0
	BCF         INT2IF_bit+0, BitPos(INT2IF_bit+0) 
L__interrupt2:
;KaitenkeiBarMini.mbas,136 :: 		if TMR1IF_bit = 1 then
	BTFSS       TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
	GOTO        L__interrupt11
;KaitenkeiBarMini.mbas,137 :: 		TMR1IF_bit = 0
	BCF         TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
;KaitenkeiBarMini.mbas,138 :: 		of_count = of_count + 1
	INFSNZ      _of_count+0, 1 
	INCF        _of_count+1, 1 
L__interrupt11:
;KaitenkeiBarMini.mbas,140 :: 		end sub
L_end_interrupt:
L__interrupt214:
	RETFIE      1
; end of _interrupt

_interrupt_low:
	MOVWF       ___Low_saveWREG+0 
	MOVF        STATUS+0, 0 
	MOVWF       ___Low_saveSTATUS+0 
	MOVF        BSR+0, 0 
	MOVWF       ___Low_saveBSR+0 

;KaitenkeiBarMini.mbas,142 :: 		sub procedure interrupt_low
;KaitenkeiBarMini.mbas,144 :: 		if TMR0IF_bit = 1 then
	BTFSS       TMR0IF_bit+0, BitPos(TMR0IF_bit+0) 
	GOTO        L__interrupt_low15
;KaitenkeiBarMini.mbas,145 :: 		LED_DEV1_bit = LED_OFF
	BCF         LATB+0, 4 
;KaitenkeiBarMini.mbas,146 :: 		LED_DEV2_bit = LED_OFF
	BCF         LATB+0, 6 
;KaitenkeiBarMini.mbas,147 :: 		LED_DEV3_bit = LED_OFF
	BCF         LATB+0, 7 
;KaitenkeiBarMini.mbas,148 :: 		LED_SEG_PORT = 0
	CLRF        LATC+0 
;KaitenkeiBarMini.mbas,149 :: 		nop nop nop nop nop nop nop nop nop nop  ' delay 10 instruction
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
;KaitenkeiBarMini.mbas,150 :: 		nop nop nop nop nop nop nop nop nop nop  ' delay 10 instruction
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
;KaitenkeiBarMini.mbas,151 :: 		TMR0L = 6
	MOVLW       6
	MOVWF       TMR0L+0 
;KaitenkeiBarMini.mbas,153 :: 		case 1
	MOVF        _led_pos+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low20
;KaitenkeiBarMini.mbas,154 :: 		LED_SEG_PORT = led_val1
	MOVF        _led_val1+0, 0 
	MOVWF       LATC+0 
;KaitenkeiBarMini.mbas,155 :: 		LED_DEV1_bit = LED_ON
	BSF         LATB+0, 4 
;KaitenkeiBarMini.mbas,156 :: 		led_pos = 2
	MOVLW       2
	MOVWF       _led_pos+0 
	GOTO        L__interrupt_low17
L__interrupt_low20:
;KaitenkeiBarMini.mbas,157 :: 		case 2
	MOVF        _led_pos+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low23
;KaitenkeiBarMini.mbas,158 :: 		LED_SEG_PORT = led_val2
	MOVF        _led_val2+0, 0 
	MOVWF       LATC+0 
;KaitenkeiBarMini.mbas,159 :: 		LED_DEV2_bit = LED_ON
	BSF         LATB+0, 6 
;KaitenkeiBarMini.mbas,160 :: 		led_pos = 3
	MOVLW       3
	MOVWF       _led_pos+0 
	GOTO        L__interrupt_low17
L__interrupt_low23:
;KaitenkeiBarMini.mbas,161 :: 		case 3
	MOVF        _led_pos+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low26
;KaitenkeiBarMini.mbas,162 :: 		LED_SEG_PORT = led_val3
	MOVF        _led_val3+0, 0 
	MOVWF       LATC+0 
;KaitenkeiBarMini.mbas,163 :: 		LED_DEV3_bit = LED_ON
	BSF         LATB+0, 7 
;KaitenkeiBarMini.mbas,164 :: 		if dimmer = 0 then
	MOVF        _dimmer+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low28
;KaitenkeiBarMini.mbas,165 :: 		led_pos = 1
	MOVLW       1
	MOVWF       _led_pos+0 
	GOTO        L__interrupt_low29
;KaitenkeiBarMini.mbas,166 :: 		else
L__interrupt_low28:
;KaitenkeiBarMini.mbas,167 :: 		led_pos = 4
	MOVLW       4
	MOVWF       _led_pos+0 
;KaitenkeiBarMini.mbas,168 :: 		dimmer_counter = dimmer_table[ dimmer ]
	MOVLW       _dimmer_table+0
	ADDWF       _dimmer+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_dimmer_table+0)
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      TBLPTRH, 1 
	MOVLW       higher_addr(_dimmer_table+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, _dimmer_counter+0
;KaitenkeiBarMini.mbas,169 :: 		end if
L__interrupt_low29:
	GOTO        L__interrupt_low17
L__interrupt_low26:
;KaitenkeiBarMini.mbas,170 :: 		case 4
	MOVF        _led_pos+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low32
;KaitenkeiBarMini.mbas,171 :: 		if 0 = dimmer_counter then
	MOVLW       0
	XORWF       _dimmer_counter+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low34
;KaitenkeiBarMini.mbas,172 :: 		led_pos = 1
	MOVLW       1
	MOVWF       _led_pos+0 
	GOTO        L__interrupt_low35
;KaitenkeiBarMini.mbas,173 :: 		else
L__interrupt_low34:
;KaitenkeiBarMini.mbas,174 :: 		dimmer_counter = dimmer_counter - 1
	DECF        _dimmer_counter+0, 1 
;KaitenkeiBarMini.mbas,175 :: 		end if
L__interrupt_low35:
	GOTO        L__interrupt_low17
L__interrupt_low32:
L__interrupt_low17:
;KaitenkeiBarMini.mbas,178 :: 		zero_display_counter = zero_display_counter + 1
	INFSNZ      _zero_display_counter+0, 1 
	INCF        _zero_display_counter+1, 1 
;KaitenkeiBarMini.mbas,180 :: 		if sw_enable = false then
	MOVF        _sw_enable+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low37
;KaitenkeiBarMini.mbas,181 :: 		if (SW1_bit + SW2_bit) = 2 then  ' switch released
	CLRF        R1 
	BTFSC       PORTB+0, 5 
	INCF        R1, 1 
	CLRF        R0 
	BTFSC       PORTA+0, 3 
	INCF        R0, 1 
	MOVF        R0, 0 
	ADDWF       R1, 1 
	MOVF        R1, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low40
;KaitenkeiBarMini.mbas,182 :: 		if 0 < sw_off_counter then
	MOVLW       0
	MOVWF       R0 
	MOVF        _sw_off_counter+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low218
	MOVF        _sw_off_counter+0, 0 
	SUBLW       0
L__interrupt_low218:
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt_low43
;KaitenkeiBarMini.mbas,183 :: 		sw_off_counter = sw_off_counter - 1
	MOVLW       1
	SUBWF       _sw_off_counter+0, 1 
	MOVLW       0
	SUBWFB      _sw_off_counter+1, 1 
L__interrupt_low43:
;KaitenkeiBarMini.mbas,184 :: 		end if
	GOTO        L__interrupt_low41
;KaitenkeiBarMini.mbas,185 :: 		else                             ' switch pressed
L__interrupt_low40:
;KaitenkeiBarMini.mbas,186 :: 		sw_off_counter = SW_BOUNCE_TIME
	MOVLW       30
	MOVWF       _sw_off_counter+0 
	MOVLW       0
	MOVWF       _sw_off_counter+1 
;KaitenkeiBarMini.mbas,187 :: 		sw_enable = false
	CLRF        _sw_enable+0 
;KaitenkeiBarMini.mbas,188 :: 		end if
L__interrupt_low41:
L__interrupt_low37:
;KaitenkeiBarMini.mbas,190 :: 		if sw_off_counter = 0 then
	MOVLW       0
	XORWF       _sw_off_counter+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low219
	MOVLW       0
	XORWF       _sw_off_counter+0, 0 
L__interrupt_low219:
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low46
;KaitenkeiBarMini.mbas,191 :: 		sw_enable = true
	MOVLW       255
	MOVWF       _sw_enable+0 
L__interrupt_low46:
;KaitenkeiBarMini.mbas,194 :: 		if SW1_bit = SW_ON then
	BTFSC       PORTB+0, 5 
	GOTO        L__interrupt_low49
;KaitenkeiBarMini.mbas,195 :: 		if sw1_long_counter < MAX_SWITCH_TIME then
	MOVLW       39
	SUBWF       _sw1_long_counter+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low220
	MOVLW       16
	SUBWF       _sw1_long_counter+0, 0 
L__interrupt_low220:
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt_low52
;KaitenkeiBarMini.mbas,196 :: 		sw1_long_counter = sw1_long_counter + 1
	INFSNZ      _sw1_long_counter+0, 1 
	INCF        _sw1_long_counter+1, 1 
L__interrupt_low52:
;KaitenkeiBarMini.mbas,197 :: 		end if
	GOTO        L__interrupt_low50
;KaitenkeiBarMini.mbas,198 :: 		else
L__interrupt_low49:
;KaitenkeiBarMini.mbas,199 :: 		sw1_long_counter = 0
	CLRF        _sw1_long_counter+0 
	CLRF        _sw1_long_counter+1 
;KaitenkeiBarMini.mbas,200 :: 		end if
L__interrupt_low50:
;KaitenkeiBarMini.mbas,202 :: 		if SW2_bit = SW_ON then
	BTFSC       PORTA+0, 3 
	GOTO        L__interrupt_low55
;KaitenkeiBarMini.mbas,203 :: 		if sw2_long_counter < MAX_SWITCH_TIME then
	MOVLW       39
	SUBWF       _sw2_long_counter+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low221
	MOVLW       16
	SUBWF       _sw2_long_counter+0, 0 
L__interrupt_low221:
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt_low58
;KaitenkeiBarMini.mbas,204 :: 		sw2_long_counter = sw2_long_counter + 1
	INFSNZ      _sw2_long_counter+0, 1 
	INCF        _sw2_long_counter+1, 1 
L__interrupt_low58:
;KaitenkeiBarMini.mbas,205 :: 		end if
	GOTO        L__interrupt_low56
;KaitenkeiBarMini.mbas,206 :: 		else
L__interrupt_low55:
;KaitenkeiBarMini.mbas,207 :: 		sw2_long_counter = 0
	CLRF        _sw2_long_counter+0 
	CLRF        _sw2_long_counter+1 
;KaitenkeiBarMini.mbas,208 :: 		end if
L__interrupt_low56:
;KaitenkeiBarMini.mbas,210 :: 		TMR0IF_bit = 0   ' Clear interrupt flag
	BCF         TMR0IF_bit+0, BitPos(TMR0IF_bit+0) 
L__interrupt_low15:
;KaitenkeiBarMini.mbas,212 :: 		end sub
L_end_interrupt_low:
L__interrupt_low217:
	MOVF        ___Low_saveBSR+0, 0 
	MOVWF       BSR+0 
	MOVF        ___Low_saveSTATUS+0, 0 
	MOVWF       STATUS+0 
	SWAPF       ___Low_saveWREG+0, 1 
	SWAPF       ___Low_saveWREG+0, 0 
	RETFIE      0
; end of _interrupt_low

_led_bar_graph:

;KaitenkeiBarMini.mbas,222 :: 		dim led_val3_tmp as byte
;KaitenkeiBarMini.mbas,224 :: 		led_val1_tmp = 0
	CLRF        R4 
;KaitenkeiBarMini.mbas,225 :: 		led_val2_tmp = 0
	CLRF        R5 
;KaitenkeiBarMini.mbas,226 :: 		led_val3_tmp = 0
	CLRF        R6 
;KaitenkeiBarMini.mbas,227 :: 		counter = 0
	CLRF        R3 
;KaitenkeiBarMini.mbas,228 :: 		while level > 0
L__led_bar_graph62:
	MOVF        FARG_led_bar_graph_level+0, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L__led_bar_graph63
;KaitenkeiBarMini.mbas,229 :: 		cathode_no = counter >> 3     ' divide 8
	MOVF        R3, 0 
	MOVWF       R1 
	RRCF        R1, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	BCF         R1, 7 
	MOVF        R1, 0 
	MOVWF       R2 
;KaitenkeiBarMini.mbas,231 :: 		case 0
	MOVF        R1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__led_bar_graph69
;KaitenkeiBarMini.mbas,232 :: 		led_val1_tmp = led_val1_tmp << 1
	RLCF        R4, 1 
	BCF         R4, 0 
;KaitenkeiBarMini.mbas,233 :: 		led_val1_tmp = led_val1_tmp + 1
	INCF        R4, 1 
	GOTO        L__led_bar_graph66
L__led_bar_graph69:
;KaitenkeiBarMini.mbas,234 :: 		case 1
	MOVF        R2, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__led_bar_graph72
;KaitenkeiBarMini.mbas,235 :: 		led_val2_tmp = led_val2_tmp << 1
	RLCF        R5, 1 
	BCF         R5, 0 
;KaitenkeiBarMini.mbas,236 :: 		led_val2_tmp = led_val2_tmp + 1
	INCF        R5, 1 
	GOTO        L__led_bar_graph66
L__led_bar_graph72:
;KaitenkeiBarMini.mbas,237 :: 		case 2
	MOVF        R2, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__led_bar_graph75
;KaitenkeiBarMini.mbas,238 :: 		led_val3_tmp = led_val3_tmp << 1
	RLCF        R6, 1 
	BCF         R6, 0 
;KaitenkeiBarMini.mbas,239 :: 		led_val3_tmp = led_val3_tmp + 1
	INCF        R6, 1 
	GOTO        L__led_bar_graph66
L__led_bar_graph75:
L__led_bar_graph66:
;KaitenkeiBarMini.mbas,241 :: 		counter = counter + 1
	INCF        R3, 1 
;KaitenkeiBarMini.mbas,242 :: 		level = level - 1
	DECF        FARG_led_bar_graph_level+0, 1 
;KaitenkeiBarMini.mbas,243 :: 		wend
	GOTO        L__led_bar_graph62
L__led_bar_graph63:
;KaitenkeiBarMini.mbas,244 :: 		led_val1 = led_val1_tmp
	MOVF        R4, 0 
	MOVWF       _led_val1+0 
;KaitenkeiBarMini.mbas,245 :: 		led_val2 = led_val2_tmp
	MOVF        R5, 0 
	MOVWF       _led_val2+0 
;KaitenkeiBarMini.mbas,246 :: 		led_val3 = led_val3_tmp
	MOVF        R6, 0 
	MOVWF       _led_val3+0 
;KaitenkeiBarMini.mbas,247 :: 		end sub
L_end_led_bar_graph:
	RETURN      0
; end of _led_bar_graph

_rpm_decode:

;KaitenkeiBarMini.mbas,253 :: 		dim led_number as byte
;KaitenkeiBarMini.mbas,255 :: 		led_number = rpm / rpm_div
	MOVF        FARG_rpm_decode_rpm_div+0, 0 
	MOVWF       R4 
	MOVF        FARG_rpm_decode_rpm_div+1, 0 
	MOVWF       R5 
	MOVF        FARG_rpm_decode_rpm_div+2, 0 
	MOVWF       R6 
	MOVF        FARG_rpm_decode_rpm_div+3, 0 
	MOVWF       R7 
	MOVF        FARG_rpm_decode_rpm+0, 0 
	MOVWF       R0 
	MOVF        FARG_rpm_decode_rpm+1, 0 
	MOVWF       R1 
	MOVF        FARG_rpm_decode_rpm+2, 0 
	MOVWF       R2 
	MOVF        FARG_rpm_decode_rpm+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       rpm_decode_led_number+0 
;KaitenkeiBarMini.mbas,256 :: 		if 24 < led_number then
	MOVF        R0, 0 
	SUBLW       24
	BTFSC       STATUS+0, 0 
	GOTO        L__rpm_decode78
;KaitenkeiBarMini.mbas,257 :: 		led_bar_graph( 24 )
	MOVLW       24
	MOVWF       FARG_led_bar_graph_level+0 
	CALL        _led_bar_graph+0, 0
	GOTO        L__rpm_decode79
;KaitenkeiBarMini.mbas,258 :: 		else
L__rpm_decode78:
;KaitenkeiBarMini.mbas,259 :: 		led_bar_graph( led_number )
	MOVF        rpm_decode_led_number+0, 0 
	MOVWF       FARG_led_bar_graph_level+0 
	CALL        _led_bar_graph+0, 0
;KaitenkeiBarMini.mbas,260 :: 		end if
L__rpm_decode79:
;KaitenkeiBarMini.mbas,261 :: 		end sub
L_end_rpm_decode:
	RETURN      0
; end of _rpm_decode

_sw_test:

;KaitenkeiBarMini.mbas,266 :: 		sub function sw_test( dim sw_no as byte ) as byte
;KaitenkeiBarMini.mbas,267 :: 		if sw_enable = false then
	MOVF        _sw_enable+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test82
;KaitenkeiBarMini.mbas,268 :: 		result = SW_OFF
	MOVLW       1
	MOVWF       R1 
	GOTO        L__sw_test83
;KaitenkeiBarMini.mbas,269 :: 		else
L__sw_test82:
;KaitenkeiBarMini.mbas,271 :: 		case 1
	MOVF        FARG_sw_test_sw_no+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test87
;KaitenkeiBarMini.mbas,272 :: 		result = SW1_bit
	MOVLW       0
	BTFSC       PORTB+0, 5 
	MOVLW       1
	MOVWF       R1 
	GOTO        L__sw_test84
L__sw_test87:
;KaitenkeiBarMini.mbas,273 :: 		case 2
	MOVF        FARG_sw_test_sw_no+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test90
;KaitenkeiBarMini.mbas,274 :: 		result = SW2_bit
	MOVLW       0
	BTFSC       PORTA+0, 3 
	MOVLW       1
	MOVWF       R1 
	GOTO        L__sw_test84
L__sw_test90:
L__sw_test84:
;KaitenkeiBarMini.mbas,276 :: 		end if
L__sw_test83:
;KaitenkeiBarMini.mbas,278 :: 		if result = SW_ON then
	MOVF        R1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test92
;KaitenkeiBarMini.mbas,279 :: 		sw_enable = FALSE
	CLRF        _sw_enable+0 
L__sw_test92:
;KaitenkeiBarMini.mbas,281 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_sw_test:
	RETURN      0
; end of _sw_test

_sw_test_long:

;KaitenkeiBarMini.mbas,288 :: 		sub function sw_test_long( dim sw_no as byte, dim time as word ) as boolean
;KaitenkeiBarMini.mbas,289 :: 		result = false
	CLRF        R1 
;KaitenkeiBarMini.mbas,291 :: 		case 1
	MOVF        FARG_sw_test_long_sw_no+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test_long98
;KaitenkeiBarMini.mbas,292 :: 		if time <= sw1_long_counter then
	MOVF        FARG_sw_test_long_time+1, 0 
	SUBWF       _sw1_long_counter+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test_long226
	MOVF        FARG_sw_test_long_time+0, 0 
	SUBWF       _sw1_long_counter+0, 0 
L__sw_test_long226:
	BTFSS       STATUS+0, 0 
	GOTO        L__sw_test_long100
;KaitenkeiBarMini.mbas,293 :: 		result = true
	MOVLW       255
	MOVWF       R1 
L__sw_test_long100:
;KaitenkeiBarMini.mbas,294 :: 		end if
	GOTO        L__sw_test_long95
L__sw_test_long98:
;KaitenkeiBarMini.mbas,295 :: 		case 2
	MOVF        FARG_sw_test_long_sw_no+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test_long104
;KaitenkeiBarMini.mbas,296 :: 		if time <= sw2_long_counter then
	MOVF        FARG_sw_test_long_time+1, 0 
	SUBWF       _sw2_long_counter+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test_long227
	MOVF        FARG_sw_test_long_time+0, 0 
	SUBWF       _sw2_long_counter+0, 0 
L__sw_test_long227:
	BTFSS       STATUS+0, 0 
	GOTO        L__sw_test_long106
;KaitenkeiBarMini.mbas,297 :: 		result = true
	MOVLW       255
	MOVWF       R1 
L__sw_test_long106:
;KaitenkeiBarMini.mbas,298 :: 		end if
	GOTO        L__sw_test_long95
L__sw_test_long104:
L__sw_test_long95:
;KaitenkeiBarMini.mbas,300 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_sw_test_long:
	RETURN      0
; end of _sw_test_long

_led_scan:

;KaitenkeiBarMini.mbas,306 :: 		dim lnum as short
;KaitenkeiBarMini.mbas,308 :: 		delay_ms(800)
	MOVLW       65
	MOVWF       R11, 0
	MOVLW       240
	MOVWF       R12, 0
	MOVLW       51
	MOVWF       R13, 0
L__led_scan109:
	DECFSZ      R13, 1, 1
	BRA         L__led_scan109
	DECFSZ      R12, 1, 1
	BRA         L__led_scan109
	DECFSZ      R11, 1, 1
	BRA         L__led_scan109
;KaitenkeiBarMini.mbas,309 :: 		lnum = 0
	CLRF        led_scan_lnum+0 
;KaitenkeiBarMini.mbas,310 :: 		while lnum <= 24
L__led_scan111:
	MOVLW       128
	XORLW       24
	MOVWF       R0 
	MOVLW       128
	XORWF       led_scan_lnum+0, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__led_scan112
;KaitenkeiBarMini.mbas,311 :: 		led_bar_graph( lnum )
	MOVF        led_scan_lnum+0, 0 
	MOVWF       FARG_led_bar_graph_level+0 
	CALL        _led_bar_graph+0, 0
;KaitenkeiBarMini.mbas,312 :: 		delay_ms(15)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       56
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L__led_scan115:
	DECFSZ      R13, 1, 1
	BRA         L__led_scan115
	DECFSZ      R12, 1, 1
	BRA         L__led_scan115
	DECFSZ      R11, 1, 1
	BRA         L__led_scan115
;KaitenkeiBarMini.mbas,313 :: 		lnum = lnum + 1
	INCF        led_scan_lnum+0, 1 
;KaitenkeiBarMini.mbas,314 :: 		wend
	GOTO        L__led_scan111
L__led_scan112:
;KaitenkeiBarMini.mbas,316 :: 		lnum = 24
	MOVLW       24
	MOVWF       led_scan_lnum+0 
;KaitenkeiBarMini.mbas,317 :: 		while 0 <= lnum
L__led_scan117:
	MOVLW       128
	XORWF       led_scan_lnum+0, 0 
	MOVWF       R0 
	MOVLW       128
	XORLW       0
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__led_scan118
;KaitenkeiBarMini.mbas,318 :: 		led_bar_graph( lnum )
	MOVF        led_scan_lnum+0, 0 
	MOVWF       FARG_led_bar_graph_level+0 
	CALL        _led_bar_graph+0, 0
;KaitenkeiBarMini.mbas,319 :: 		delay_ms(15)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       56
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L__led_scan121:
	DECFSZ      R13, 1, 1
	BRA         L__led_scan121
	DECFSZ      R12, 1, 1
	BRA         L__led_scan121
	DECFSZ      R11, 1, 1
	BRA         L__led_scan121
;KaitenkeiBarMini.mbas,320 :: 		lnum = lnum - 1
	DECF        led_scan_lnum+0, 1 
;KaitenkeiBarMini.mbas,321 :: 		wend
	GOTO        L__led_scan117
L__led_scan118:
;KaitenkeiBarMini.mbas,322 :: 		end sub
L_end_led_scan:
	RETURN      0
; end of _led_scan

_input_number:

;KaitenkeiBarMini.mbas,335 :: 		DIM long_temp    as longword
;KaitenkeiBarMini.mbas,337 :: 		for digit_index = 0 to 3
	CLRF        input_number_digit_index+0 
L__input_number124:
;KaitenkeiBarMini.mbas,338 :: 		value[digit_index] = initial mod 10
	MOVLW       input_number_value+0
	MOVWF       R0 
	MOVLW       hi_addr(input_number_value+0)
	MOVWF       R1 
	MOVF        input_number_digit_index+0, 0 
	ADDWF       R0, 0 
	MOVWF       FLOC__input_number+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FLOC__input_number+1 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	MOVF        FARG_input_number_initial+0, 0 
	MOVWF       R0 
	MOVF        FARG_input_number_initial+1, 0 
	MOVWF       R1 
	MOVF        FARG_input_number_initial+2, 0 
	MOVWF       R2 
	MOVF        FARG_input_number_initial+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	MOVWF       R3 
	MOVFF       FLOC__input_number+0, FSR1
	MOVFF       FLOC__input_number+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;KaitenkeiBarMini.mbas,339 :: 		initial = initial / 10
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	MOVF        FARG_input_number_initial+0, 0 
	MOVWF       R0 
	MOVF        FARG_input_number_initial+1, 0 
	MOVWF       R1 
	MOVF        FARG_input_number_initial+2, 0 
	MOVWF       R2 
	MOVF        FARG_input_number_initial+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_input_number_initial+0 
	MOVF        R1, 0 
	MOVWF       FARG_input_number_initial+1 
	MOVF        R2, 0 
	MOVWF       FARG_input_number_initial+2 
	MOVF        R3, 0 
	MOVWF       FARG_input_number_initial+3 
;KaitenkeiBarMini.mbas,340 :: 		next digit_index
	MOVF        input_number_digit_index+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L__input_number127
	INCF        input_number_digit_index+0, 1 
	GOTO        L__input_number124
L__input_number127:
;KaitenkeiBarMini.mbas,342 :: 		input_digit = 0
	CLRF        input_number_input_digit+0 
;KaitenkeiBarMini.mbas,343 :: 		while sw_test_long(2,2000) = false
L__input_number129:
	MOVLW       2
	MOVWF       FARG_sw_test_long_sw_no+0 
	MOVLW       208
	MOVWF       FARG_sw_test_long_time+0 
	MOVLW       7
	MOVWF       FARG_sw_test_long_time+1 
	CALL        _sw_test_long+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number130
;KaitenkeiBarMini.mbas,345 :: 		case 0 led_val_tmp[2] = %00001000
	MOVF        input_number_input_digit+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number136
	MOVLW       8
	MOVWF       input_number_led_val_tmp+2 
	GOTO        L__input_number133
L__input_number136:
;KaitenkeiBarMini.mbas,346 :: 		case 1 led_val_tmp[2] = %00000100
	MOVF        input_number_input_digit+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number139
	MOVLW       4
	MOVWF       input_number_led_val_tmp+2 
	GOTO        L__input_number133
L__input_number139:
;KaitenkeiBarMini.mbas,347 :: 		case 2 led_val_tmp[2] = %00000010
	MOVF        input_number_input_digit+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number142
	MOVLW       2
	MOVWF       input_number_led_val_tmp+2 
	GOTO        L__input_number133
L__input_number142:
;KaitenkeiBarMini.mbas,348 :: 		case 3 led_val_tmp[2] = %00000001
	MOVF        input_number_input_digit+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number145
	MOVLW       1
	MOVWF       input_number_led_val_tmp+2 
	GOTO        L__input_number133
L__input_number145:
L__input_number133:
;KaitenkeiBarMini.mbas,351 :: 		led_val_tmp[0] = 0
	CLRF        input_number_led_val_tmp+0 
;KaitenkeiBarMini.mbas,352 :: 		led_val_tmp[1] = 0
	CLRF        input_number_led_val_tmp+1 
;KaitenkeiBarMini.mbas,353 :: 		for digit_index = 0 to 3
	CLRF        input_number_digit_index+0 
L__input_number147:
;KaitenkeiBarMini.mbas,354 :: 		value_index = digit_index / 2
	MOVF        input_number_digit_index+0, 0 
	MOVWF       input_number_value_index+0 
	RRCF        input_number_value_index+0, 1 
	BCF         input_number_value_index+0, 7 
;KaitenkeiBarMini.mbas,355 :: 		val_tmp = value[digit_index]
	MOVLW       input_number_value+0
	MOVWF       R0 
	MOVLW       hi_addr(input_number_value+0)
	MOVWF       R1 
	MOVF        input_number_digit_index+0, 0 
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       input_number_val_tmp+0 
;KaitenkeiBarMini.mbas,356 :: 		for bit_index = 0 to 3
	CLRF        input_number_bit_index+0 
L__input_number152:
;KaitenkeiBarMini.mbas,357 :: 		led_val_tmp[value_index] = led_val_tmp[value_index] << 1
	MOVLW       input_number_led_val_tmp+0
	MOVWF       R0 
	MOVLW       hi_addr(input_number_led_val_tmp+0)
	MOVWF       R1 
	MOVF        input_number_value_index+0, 0 
	ADDWF       R0, 0 
	MOVWF       R3 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       R4 
	MOVFF       R3, FSR0
	MOVFF       R4, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RLCF        R0, 1 
	BCF         R0, 0 
	MOVFF       R3, FSR1
	MOVFF       R4, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;KaitenkeiBarMini.mbas,358 :: 		if (val_tmp and %00000001) = %00000001 then
	MOVLW       1
	ANDWF       input_number_val_tmp+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number157
;KaitenkeiBarMini.mbas,359 :: 		led_val_tmp[value_index] = led_val_tmp[value_index] or %00000001
	MOVLW       input_number_led_val_tmp+0
	MOVWF       R0 
	MOVLW       hi_addr(input_number_led_val_tmp+0)
	MOVWF       R1 
	MOVF        input_number_value_index+0, 0 
	ADDWF       R0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       R3 
	MOVFF       R2, FSR0
	MOVFF       R3, FSR0H
	MOVLW       1
	IORWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVFF       R2, FSR1
	MOVFF       R3, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
L__input_number157:
;KaitenkeiBarMini.mbas,361 :: 		val_tmp = val_tmp >> 1
	RRCF        input_number_val_tmp+0, 1 
	BCF         input_number_val_tmp+0, 7 
;KaitenkeiBarMini.mbas,362 :: 		next bit_index
	MOVF        input_number_bit_index+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L__input_number155
	INCF        input_number_bit_index+0, 1 
	GOTO        L__input_number152
L__input_number155:
;KaitenkeiBarMini.mbas,363 :: 		next digit_index
	MOVF        input_number_digit_index+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L__input_number150
	INCF        input_number_digit_index+0, 1 
	GOTO        L__input_number147
L__input_number150:
;KaitenkeiBarMini.mbas,365 :: 		led_val1 = led_val_tmp[2]
	MOVF        input_number_led_val_tmp+2, 0 
	MOVWF       _led_val1+0 
;KaitenkeiBarMini.mbas,366 :: 		led_val2 = led_val_tmp[1]
	MOVF        input_number_led_val_tmp+1, 0 
	MOVWF       _led_val2+0 
;KaitenkeiBarMini.mbas,367 :: 		led_val3 = led_val_tmp[0]
	MOVF        input_number_led_val_tmp+0, 0 
	MOVWF       _led_val3+0 
;KaitenkeiBarMini.mbas,369 :: 		if sw_test(2) = SW_ON then
	MOVLW       2
	MOVWF       FARG_sw_test_sw_no+0 
	CALL        _sw_test+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number160
;KaitenkeiBarMini.mbas,370 :: 		input_digit = input_digit + 1
	INCF        input_number_input_digit+0, 1 
;KaitenkeiBarMini.mbas,371 :: 		if input_digit = 4 then
	MOVF        input_number_input_digit+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number163
;KaitenkeiBarMini.mbas,372 :: 		input_digit = 0
	CLRF        input_number_input_digit+0 
L__input_number163:
;KaitenkeiBarMini.mbas,373 :: 		end if
L__input_number160:
;KaitenkeiBarMini.mbas,376 :: 		if sw_test(1) = SW_ON then
	MOVLW       1
	MOVWF       FARG_sw_test_sw_no+0 
	CALL        _sw_test+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number166
;KaitenkeiBarMini.mbas,377 :: 		if value[input_digit] = 9 then
	MOVLW       input_number_value+0
	MOVWF       R0 
	MOVLW       hi_addr(input_number_value+0)
	MOVWF       R1 
	MOVF        input_number_input_digit+0, 0 
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       9
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number169
;KaitenkeiBarMini.mbas,378 :: 		value[input_digit] = 0
	MOVLW       input_number_value+0
	MOVWF       R0 
	MOVLW       hi_addr(input_number_value+0)
	MOVWF       R1 
	MOVF        input_number_input_digit+0, 0 
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	GOTO        L__input_number170
;KaitenkeiBarMini.mbas,379 :: 		else
L__input_number169:
;KaitenkeiBarMini.mbas,380 :: 		value[input_digit] = value[input_digit] + 1
	MOVLW       input_number_value+0
	MOVWF       R0 
	MOVLW       hi_addr(input_number_value+0)
	MOVWF       R1 
	MOVF        input_number_input_digit+0, 0 
	ADDWF       R0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       R3 
	MOVFF       R2, FSR0
	MOVFF       R3, FSR0H
	MOVF        POSTINC0+0, 0 
	ADDLW       1
	MOVWF       R0 
	MOVFF       R2, FSR1
	MOVFF       R3, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;KaitenkeiBarMini.mbas,381 :: 		end if
L__input_number170:
L__input_number166:
;KaitenkeiBarMini.mbas,383 :: 		wend
	GOTO        L__input_number129
L__input_number130:
;KaitenkeiBarMini.mbas,385 :: 		led_scan()
	CALL        _led_scan+0, 0
;KaitenkeiBarMini.mbas,387 :: 		result = 0
	CLRF        input_number_local_result+0 
	CLRF        input_number_local_result+1 
	CLRF        input_number_local_result+2 
	CLRF        input_number_local_result+3 
;KaitenkeiBarMini.mbas,388 :: 		for digit_index = 3 to 0 step -1
	MOVLW       3
	MOVWF       input_number_digit_index+0 
L__input_number172:
;KaitenkeiBarMini.mbas,389 :: 		result = result * 10
	MOVF        input_number_local_result+0, 0 
	MOVWF       R0 
	MOVF        input_number_local_result+1, 0 
	MOVWF       R1 
	MOVF        input_number_local_result+2, 0 
	MOVWF       R2 
	MOVF        input_number_local_result+3, 0 
	MOVWF       R3 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       input_number_local_result+0 
	MOVF        R1, 0 
	MOVWF       input_number_local_result+1 
	MOVF        R2, 0 
	MOVWF       input_number_local_result+2 
	MOVF        R3, 0 
	MOVWF       input_number_local_result+3 
;KaitenkeiBarMini.mbas,390 :: 		long_temp = value[digit_index]
	MOVLW       input_number_value+0
	MOVWF       R0 
	MOVLW       hi_addr(input_number_value+0)
	MOVWF       R1 
	MOVF        input_number_digit_index+0, 0 
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       input_number_long_temp+0 
	MOVLW       0
	MOVWF       input_number_long_temp+1 
	MOVWF       input_number_long_temp+2 
	MOVWF       input_number_long_temp+3 
	MOVLW       0
	MOVWF       input_number_long_temp+1 
	MOVWF       input_number_long_temp+2 
	MOVWF       input_number_long_temp+3 
;KaitenkeiBarMini.mbas,391 :: 		result = result + long_temp
	MOVF        input_number_long_temp+0, 0 
	ADDWF       input_number_local_result+0, 1 
	MOVF        input_number_long_temp+1, 0 
	ADDWFC      input_number_local_result+1, 1 
	MOVF        input_number_long_temp+2, 0 
	ADDWFC      input_number_local_result+2, 1 
	MOVF        input_number_long_temp+3, 0 
	ADDWFC      input_number_local_result+3, 1 
;KaitenkeiBarMini.mbas,392 :: 		next digit_index
	MOVF        input_number_digit_index+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__input_number175
	MOVLW       255
	ADDWF       input_number_digit_index+0, 1 
	GOTO        L__input_number172
L__input_number175:
;KaitenkeiBarMini.mbas,393 :: 		end sub
	MOVF        input_number_local_result+0, 0 
	MOVWF       R0 
	MOVF        input_number_local_result+1, 0 
	MOVWF       R1 
	MOVF        input_number_local_result+2, 0 
	MOVWF       R2 
	MOVF        input_number_local_result+3, 0 
	MOVWF       R3 
L_end_input_number:
	RETURN      0
; end of _input_number

_eelong_write:

;KaitenkeiBarMini.mbas,398 :: 		sub procedure eelong_write( dim addr as byte, dim dv as longint )
;KaitenkeiBarMini.mbas,399 :: 		eeprom_write( addr+0, Lo(      dv ) )  delay_ms(20)
	MOVF        FARG_eelong_write_addr+0, 0 
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        FARG_eelong_write_dv+0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__eelong_write177:
	DECFSZ      R13, 1, 1
	BRA         L__eelong_write177
	DECFSZ      R12, 1, 1
	BRA         L__eelong_write177
	DECFSZ      R11, 1, 1
	BRA         L__eelong_write177
	NOP
;KaitenkeiBarMini.mbas,400 :: 		eeprom_write( addr+1, hi(      dv ) )  delay_ms(20)
	MOVF        FARG_eelong_write_addr+0, 0 
	ADDLW       1
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        FARG_eelong_write_dv+1, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__eelong_write178:
	DECFSZ      R13, 1, 1
	BRA         L__eelong_write178
	DECFSZ      R12, 1, 1
	BRA         L__eelong_write178
	DECFSZ      R11, 1, 1
	BRA         L__eelong_write178
	NOP
;KaitenkeiBarMini.mbas,401 :: 		eeprom_write( addr+2, higher(  dv ) )  delay_ms(20)
	MOVLW       2
	ADDWF       FARG_eelong_write_addr+0, 0 
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        FARG_eelong_write_dv+2, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__eelong_write179:
	DECFSZ      R13, 1, 1
	BRA         L__eelong_write179
	DECFSZ      R12, 1, 1
	BRA         L__eelong_write179
	DECFSZ      R11, 1, 1
	BRA         L__eelong_write179
	NOP
;KaitenkeiBarMini.mbas,402 :: 		eeprom_write( addr+3, highest( dv ) )  delay_ms(20)
	MOVLW       3
	ADDWF       FARG_eelong_write_addr+0, 0 
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        FARG_eelong_write_dv+3, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__eelong_write180:
	DECFSZ      R13, 1, 1
	BRA         L__eelong_write180
	DECFSZ      R12, 1, 1
	BRA         L__eelong_write180
	DECFSZ      R11, 1, 1
	BRA         L__eelong_write180
	NOP
;KaitenkeiBarMini.mbas,403 :: 		end sub
L_end_eelong_write:
	RETURN      0
; end of _eelong_write

_eelong_read:

;KaitenkeiBarMini.mbas,408 :: 		sub function eelong_read( dim addr as byte ) as longint
;KaitenkeiBarMini.mbas,409 :: 		byte1L = eeprom_read( addr+0 )
	MOVF        FARG_eelong_read_addr+0, 0 
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       32 
;KaitenkeiBarMini.mbas,410 :: 		byte2L = eeprom_read( addr+1 )
	MOVLW       1
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	MOVF        FARG_eelong_read_addr+0, 0 
	ADDWF       FARG_EEPROM_Read_address+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FARG_EEPROM_Read_address+1, 1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       33 
;KaitenkeiBarMini.mbas,411 :: 		byte3L = eeprom_read( addr+2 )
	MOVLW       2
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	MOVF        FARG_eelong_read_addr+0, 0 
	ADDWF       FARG_EEPROM_Read_address+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FARG_EEPROM_Read_address+1, 1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       34 
;KaitenkeiBarMini.mbas,412 :: 		byte4L = eeprom_read( addr+3 )
	MOVLW       3
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	MOVF        FARG_eelong_read_addr+0, 0 
	ADDWF       FARG_EEPROM_Read_address+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FARG_EEPROM_Read_address+1, 1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       35 
;KaitenkeiBarMini.mbas,413 :: 		result = long_val
	MOVF        32, 0 
	MOVWF       eelong_read_local_result+0 
	MOVF        33, 0 
	MOVWF       eelong_read_local_result+1 
	MOVF        34, 0 
	MOVWF       eelong_read_local_result+2 
	MOVF        35, 0 
	MOVWF       eelong_read_local_result+3 
;KaitenkeiBarMini.mbas,414 :: 		end sub
	MOVF        eelong_read_local_result+0, 0 
	MOVWF       R0 
	MOVF        eelong_read_local_result+1, 0 
	MOVWF       R1 
	MOVF        eelong_read_local_result+2, 0 
	MOVWF       R2 
	MOVF        eelong_read_local_result+3, 0 
	MOVWF       R3 
L_end_eelong_read:
	RETURN      0
; end of _eelong_read

_main:

;KaitenkeiBarMini.mbas,419 :: 		main:
;KaitenkeiBarMini.mbas,424 :: 		RABPU_bit = 1 ' PORTA and PORTB pull-ups are disabled
	BSF         RABPU_bit+0, BitPos(RABPU_bit+0) 
;KaitenkeiBarMini.mbas,425 :: 		WPUA = 0   ' 0:pull-up disable
	CLRF        WPUA+0 
;KaitenkeiBarMini.mbas,426 :: 		WPUB = 0   ' 0:pull-up disable
	CLRF        WPUB+0 
;KaitenkeiBarMini.mbas,429 :: 		SENSOR_TRIS = 1 ' PORT_INPUT
	BSF         TRISA+0, 2 
;KaitenkeiBarMini.mbas,430 :: 		ANS2_bit    = 0 ' PORT digital input
	BCF         ANS2_bit+0, BitPos(ANS2_bit+0) 
;KaitenkeiBarMini.mbas,431 :: 		INTEDG2_bit = 1 ' 1:Interrupt on rising edge
	BSF         INTEDG2_bit+0, BitPos(INTEDG2_bit+0) 
;KaitenkeiBarMini.mbas,432 :: 		INT2IP_bit  = 1 ' 1:High priority
	BSF         INT2IP_bit+0, BitPos(INT2IP_bit+0) 
;KaitenkeiBarMini.mbas,433 :: 		INT2IE_bit  = 1 ' 1:Enables the INT2 external interrupt
	BSF         INT2IE_bit+0, BitPos(INT2IE_bit+0) 
;KaitenkeiBarMini.mbas,434 :: 		INT2IF_bit  = 0 ' Clear flag
	BCF         INT2IF_bit+0, BitPos(INT2IF_bit+0) 
;KaitenkeiBarMini.mbas,437 :: 		SW1_TRIS = PORT_INPUT
	BSF         TRISB+0, 5 
;KaitenkeiBarMini.mbas,438 :: 		SW2_TRIS = PORT_INPUT
	BSF         TRISA+0, 3 
;KaitenkeiBarMini.mbas,439 :: 		ANS11_bit = 0 ' PORT digital input
	BCF         ANS11_bit+0, BitPos(ANS11_bit+0) 
;KaitenkeiBarMini.mbas,442 :: 		LED_DEV1_TRIS = PORT_OUTPUT    ' 7 SEGMENT LED 1
	BCF         TRISB+0, 4 
;KaitenkeiBarMini.mbas,443 :: 		LED_DEV2_TRIS = PORT_OUTPUT    ' 7 SEGMENT LED 2
	BCF         TRISB+0, 6 
;KaitenkeiBarMini.mbas,444 :: 		LED_DEV3_TRIS = PORT_OUTPUT    ' 7 SEGMENT LED 3
	BCF         TRISB+0, 7 
;KaitenkeiBarMini.mbas,445 :: 		LED_SEG_TRIS  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	CLRF        TRISC+0 
;KaitenkeiBarMini.mbas,447 :: 		LED_DEV1_bit = LED_OFF
	BCF         LATB+0, 4 
;KaitenkeiBarMini.mbas,448 :: 		LED_DEV2_bit = LED_OFF
	BCF         LATB+0, 6 
;KaitenkeiBarMini.mbas,449 :: 		LED_DEV3_bit = LED_OFF
	BCF         LATB+0, 7 
;KaitenkeiBarMini.mbas,450 :: 		LED_SEG_PORT = 0
	CLRF        LATC+0 
;KaitenkeiBarMini.mbas,452 :: 		led_pos  = 1
	MOVLW       1
	MOVWF       _led_pos+0 
;KaitenkeiBarMini.mbas,453 :: 		sw_enable = true
	MOVLW       255
	MOVWF       _sw_enable+0 
;KaitenkeiBarMini.mbas,454 :: 		led_val1 = 0
	CLRF        _led_val1+0 
;KaitenkeiBarMini.mbas,455 :: 		led_val2 = 0
	CLRF        _led_val2+0 
;KaitenkeiBarMini.mbas,456 :: 		led_val3 = 0
	CLRF        _led_val3+0 
;KaitenkeiBarMini.mbas,459 :: 		T0PS2_bit   = 1  ' PreScaler 1:64
	BSF         T0PS2_bit+0, BitPos(T0PS2_bit+0) 
;KaitenkeiBarMini.mbas,460 :: 		T0PS1_bit   = 0  ' PreScaler 1:64
	BCF         T0PS1_bit+0, BitPos(T0PS1_bit+0) 
;KaitenkeiBarMini.mbas,461 :: 		T0PS0_bit   = 1  ' PreScaler 1:64
	BSF         T0PS0_bit+0, BitPos(T0PS0_bit+0) 
;KaitenkeiBarMini.mbas,462 :: 		PSA_bit     = 0  ' PreScaler assign TMR0
	BCF         PSA_bit+0, BitPos(PSA_bit+0) 
;KaitenkeiBarMini.mbas,463 :: 		T08BIT_bit  = 1  ' 1: 8bit mode
	BSF         T08BIT_bit+0, BitPos(T08BIT_bit+0) 
;KaitenkeiBarMini.mbas,464 :: 		TMR0IP_bit  = 0  ' 0:Low priority
	BCF         TMR0IP_bit+0, BitPos(TMR0IP_bit+0) 
;KaitenkeiBarMini.mbas,465 :: 		TMR0IE_bit  = 1  ' 1:Enable interrupt
	BSF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;KaitenkeiBarMini.mbas,466 :: 		TMR0IF_bit  = 0  ' Clear interrupt flag
	BCF         TMR0IF_bit+0, BitPos(TMR0IF_bit+0) 
;KaitenkeiBarMini.mbas,467 :: 		T0CS_bit    = 0  ' 0:internal clock
	BCF         T0CS_bit+0, BitPos(T0CS_bit+0) 
;KaitenkeiBarMini.mbas,468 :: 		TMR0ON_bit  = 1  ' 1:Enables Timer0
	BSF         TMR0ON_bit+0, BitPos(TMR0ON_bit+0) 
;KaitenkeiBarMini.mbas,469 :: 		TMR0L       = 6  ' overflow 1 msec
	MOVLW       6
	MOVWF       TMR0L+0 
;KaitenkeiBarMini.mbas,472 :: 		RD16_bit    = 1  ' 1:16bit mode
	BSF         RD16_bit+0, BitPos(RD16_bit+0) 
;KaitenkeiBarMini.mbas,473 :: 		TMR1IE_bit  = 1  ' Enable TMR1 interrupt
	BSF         TMR1IE_bit+0, BitPos(TMR1IE_bit+0) 
;KaitenkeiBarMini.mbas,474 :: 		TMR1IF_bit  = 0  ' Clear interrupt flag
	BCF         TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
;KaitenkeiBarMini.mbas,475 :: 		T1CKPS1_bit = 0  ' set prescaler 1:1
	BCF         T1CKPS1_bit+0, BitPos(T1CKPS1_bit+0) 
;KaitenkeiBarMini.mbas,476 :: 		T1CKPS0_bit = 0  ' set prescaler 1:1
	BCF         T1CKPS0_bit+0, BitPos(T1CKPS0_bit+0) 
;KaitenkeiBarMini.mbas,477 :: 		TMR1CS_bit  = 0  ' 0:Internal clock (FOSC/4)
	BCF         TMR1CS_bit+0, BitPos(TMR1CS_bit+0) 
;KaitenkeiBarMini.mbas,478 :: 		TMR1ON_bit  = 1  ' 1:Enable TMR1
	BSF         TMR1ON_bit+0, BitPos(TMR1ON_bit+0) 
;KaitenkeiBarMini.mbas,479 :: 		TMR1IP_bit  = 1  ' 1:High priority
	BSF         TMR1IP_bit+0, BitPos(TMR1IP_bit+0) 
;KaitenkeiBarMini.mbas,481 :: 		tacho_div = eelong_read( EEPADDR_TACHO_DIV )
	CLRF        FARG_eelong_read_addr+0 
	CALL        _eelong_read+0, 0
	MOVF        R0, 0 
	MOVWF       _tacho_div+0 
	MOVF        R1, 0 
	MOVWF       _tacho_div+1 
	MOVF        R2, 0 
	MOVWF       _tacho_div+2 
	MOVF        R3, 0 
	MOVWF       _tacho_div+3 
;KaitenkeiBarMini.mbas,482 :: 		dimmer    = eeprom_read( EEPADDR_DIMMER    )
	MOVLW       4
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _dimmer+0 
;KaitenkeiBarMini.mbas,484 :: 		IPEN_bit = 1  ' 1:Enable priority levels on interrupts
	BSF         IPEN_bit+0, BitPos(IPEN_bit+0) 
;KaitenkeiBarMini.mbas,485 :: 		GIEH_bit = 1  ' 1:Enables all high priority interrupts
	BSF         GIEH_bit+0, BitPos(GIEH_bit+0) 
;KaitenkeiBarMini.mbas,486 :: 		GIEL_bit = 1  ' 1:Enables all low priority interrupts
	BSF         GIEL_bit+0, BitPos(GIEL_bit+0) 
;KaitenkeiBarMini.mbas,488 :: 		led_scan()
	CALL        _led_scan+0, 0
;KaitenkeiBarMini.mbas,490 :: 		sw_off_counter   = 0
	CLRF        _sw_off_counter+0 
	CLRF        _sw_off_counter+1 
;KaitenkeiBarMini.mbas,491 :: 		sw2_long_counter = 0
	CLRF        _sw2_long_counter+0 
	CLRF        _sw2_long_counter+1 
;KaitenkeiBarMini.mbas,492 :: 		sw2_long_counter = 0
	CLRF        _sw2_long_counter+0 
	CLRF        _sw2_long_counter+1 
;KaitenkeiBarMini.mbas,495 :: 		if sw_test(2) = SW_ON then
	MOVLW       2
	MOVWF       FARG_sw_test_sw_no+0 
	CALL        _sw_test+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main184
;KaitenkeiBarMini.mbas,496 :: 		INT2IE_bit = 0   ' disable sensor
	BCF         INT2IE_bit+0, BitPos(INT2IE_bit+0) 
;KaitenkeiBarMini.mbas,497 :: 		tacho_div = input_number( tacho_div )
	MOVF        _tacho_div+0, 0 
	MOVWF       FARG_input_number_initial+0 
	MOVF        _tacho_div+1, 0 
	MOVWF       FARG_input_number_initial+1 
	MOVF        _tacho_div+2, 0 
	MOVWF       FARG_input_number_initial+2 
	MOVF        _tacho_div+3, 0 
	MOVWF       FARG_input_number_initial+3 
	CALL        _input_number+0, 0
	MOVF        R0, 0 
	MOVWF       _tacho_div+0 
	MOVF        R1, 0 
	MOVWF       _tacho_div+1 
	MOVF        R2, 0 
	MOVWF       _tacho_div+2 
	MOVF        R3, 0 
	MOVWF       _tacho_div+3 
;KaitenkeiBarMini.mbas,498 :: 		if tacho_div = 0 then
	MOVLW       0
	MOVWF       R4 
	XORWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main233
	MOVF        R4, 0 
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main233
	MOVF        R4, 0 
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main233
	MOVF        R0, 0 
	XORLW       0
L__main233:
	BTFSS       STATUS+0, 2 
	GOTO        L__main187
;KaitenkeiBarMini.mbas,499 :: 		tacho_div = 1
	MOVLW       1
	MOVWF       _tacho_div+0 
	MOVLW       0
	MOVWF       _tacho_div+1 
	MOVWF       _tacho_div+2 
	MOVWF       _tacho_div+3 
L__main187:
;KaitenkeiBarMini.mbas,501 :: 		eelong_write( EEPADDR_TACHO_DIV,  tacho_div )
	CLRF        FARG_eelong_write_addr+0 
	MOVF        _tacho_div+0, 0 
	MOVWF       FARG_eelong_write_dv+0 
	MOVF        _tacho_div+1, 0 
	MOVWF       FARG_eelong_write_dv+1 
	MOVF        _tacho_div+2, 0 
	MOVWF       FARG_eelong_write_dv+2 
	MOVF        _tacho_div+3, 0 
	MOVWF       FARG_eelong_write_dv+3 
	CALL        _eelong_write+0, 0
;KaitenkeiBarMini.mbas,502 :: 		delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__main189:
	DECFSZ      R13, 1, 1
	BRA         L__main189
	DECFSZ      R12, 1, 1
	BRA         L__main189
	DECFSZ      R11, 1, 1
	BRA         L__main189
	NOP
;KaitenkeiBarMini.mbas,503 :: 		INT2IE_bit = 1   ' enable sensor
	BSF         INT2IE_bit+0, BitPos(INT2IE_bit+0) 
L__main184:
;KaitenkeiBarMini.mbas,507 :: 		rpm = 0
	CLRF        _rpm+0 
	CLRF        _rpm+1 
	CLRF        _rpm+2 
	CLRF        _rpm+3 
;KaitenkeiBarMini.mbas,509 :: 		zero_display_counter = 0
	CLRF        _zero_display_counter+0 
	CLRF        _zero_display_counter+1 
;KaitenkeiBarMini.mbas,510 :: 		start_flag   = FALSE
	CLRF        _start_flag+0 
;KaitenkeiBarMini.mbas,511 :: 		display_flag = FALSE
	CLRF        _display_flag+0 
;KaitenkeiBarMini.mbas,513 :: 		while( TRUE )
L__main191:
;KaitenkeiBarMini.mbas,514 :: 		if zero_display_counter >= ZERO_CLEAR_TIME then
	MOVLW       3
	SUBWF       _zero_display_counter+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main234
	MOVLW       232
	SUBWF       _zero_display_counter+0, 0 
L__main234:
	BTFSS       STATUS+0, 0 
	GOTO        L__main196
;KaitenkeiBarMini.mbas,515 :: 		rpm_decode( 0, tacho_div )
	CLRF        FARG_rpm_decode_rpm+0 
	CLRF        FARG_rpm_decode_rpm+1 
	CLRF        FARG_rpm_decode_rpm+2 
	CLRF        FARG_rpm_decode_rpm+3 
	MOVF        _tacho_div+0, 0 
	MOVWF       FARG_rpm_decode_rpm_div+0 
	MOVF        _tacho_div+1, 0 
	MOVWF       FARG_rpm_decode_rpm_div+1 
	MOVF        _tacho_div+2, 0 
	MOVWF       FARG_rpm_decode_rpm_div+2 
	MOVF        _tacho_div+3, 0 
	MOVWF       FARG_rpm_decode_rpm_div+3 
	CALL        _rpm_decode+0, 0
;KaitenkeiBarMini.mbas,516 :: 		zero_display_counter = 0
	CLRF        _zero_display_counter+0 
	CLRF        _zero_display_counter+1 
;KaitenkeiBarMini.mbas,517 :: 		start_flag = FALSE
	CLRF        _start_flag+0 
L__main196:
;KaitenkeiBarMini.mbas,519 :: 		if display_flag = TRUE then
	MOVF        _display_flag+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__main199
;KaitenkeiBarMini.mbas,520 :: 		word_val = TMR1_OVF_value
	MOVF        _TMR1_OVF_value+0, 0 
	MOVWF       36 
	MOVF        _TMR1_OVF_value+1, 0 
	MOVWF       37 
;KaitenkeiBarMini.mbas,521 :: 		byte1L = TMR1L_value
	MOVF        _TMR1L_value+0, 0 
	MOVWF       32 
;KaitenkeiBarMini.mbas,522 :: 		byte2L = TMR1H_value
	MOVF        _TMR1H_value+0, 0 
	MOVWF       33 
;KaitenkeiBarMini.mbas,523 :: 		byte3L = byteL
	MOVF        36, 0 
	MOVWF       34 
;KaitenkeiBarMini.mbas,524 :: 		byte4L = byteH
	MOVF        37, 0 
	MOVWF       35 
;KaitenkeiBarMini.mbas,525 :: 		tmr1_count = long_val
	MOVF        32, 0 
	MOVWF       _tmr1_count+0 
	MOVF        33, 0 
	MOVWF       _tmr1_count+1 
	MOVF        34, 0 
	MOVWF       _tmr1_count+2 
	MOVF        35, 0 
	MOVWF       _tmr1_count+3 
;KaitenkeiBarMini.mbas,527 :: 		count_div  = CONST_MIN div tmr1_count
	MOVF        32, 0 
	MOVWF       R4 
	MOVF        33, 0 
	MOVWF       R5 
	MOVF        34, 0 
	MOVWF       R6 
	MOVF        35, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       112
	MOVWF       R1 
	MOVLW       56
	MOVWF       R2 
	MOVLW       57
	MOVWF       R3 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _count_div+0 
	MOVF        R1, 0 
	MOVWF       _count_div+1 
	MOVF        R2, 0 
	MOVWF       _count_div+2 
	MOVF        R3, 0 
	MOVWF       _count_div+3 
;KaitenkeiBarMini.mbas,528 :: 		count_tmp1 = count_div * rotate_value
	MOVF        _rotate_value+0, 0 
	MOVWF       R4 
	MOVF        _rotate_value+1, 0 
	MOVWF       R5 
	MOVF        _rotate_value+2, 0 
	MOVWF       R6 
	MOVF        _rotate_value+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _count_tmp1+0 
	MOVF        R1, 0 
	MOVWF       _count_tmp1+1 
	MOVF        R2, 0 
	MOVWF       _count_tmp1+2 
	MOVF        R3, 0 
	MOVWF       _count_tmp1+3 
;KaitenkeiBarMini.mbas,529 :: 		count_tmp2 = CONST_MIN mod tmr1_count
	MOVF        _tmr1_count+0, 0 
	MOVWF       R4 
	MOVF        _tmr1_count+1, 0 
	MOVWF       R5 
	MOVF        _tmr1_count+2, 0 
	MOVWF       R6 
	MOVF        _tmr1_count+3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       112
	MOVWF       R1 
	MOVLW       56
	MOVWF       R2 
	MOVLW       57
	MOVWF       R3 
	CALL        _Div_32x32_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	MOVWF       R3 
	MOVF        R0, 0 
	MOVWF       _count_tmp2+0 
	MOVF        R1, 0 
	MOVWF       _count_tmp2+1 
	MOVF        R2, 0 
	MOVWF       _count_tmp2+2 
	MOVF        R3, 0 
	MOVWF       _count_tmp2+3 
;KaitenkeiBarMini.mbas,530 :: 		count_tmp2 = count_tmp2 * rotate_value
	MOVF        _rotate_value+0, 0 
	MOVWF       R4 
	MOVF        _rotate_value+1, 0 
	MOVWF       R5 
	MOVF        _rotate_value+2, 0 
	MOVWF       R6 
	MOVF        _rotate_value+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _count_tmp2+0 
	MOVF        R1, 0 
	MOVWF       _count_tmp2+1 
	MOVF        R2, 0 
	MOVWF       _count_tmp2+2 
	MOVF        R3, 0 
	MOVWF       _count_tmp2+3 
;KaitenkeiBarMini.mbas,531 :: 		count_tmp2 = count_tmp2 div tmr1_count
	MOVF        _tmr1_count+0, 0 
	MOVWF       R4 
	MOVF        _tmr1_count+1, 0 
	MOVWF       R5 
	MOVF        _tmr1_count+2, 0 
	MOVWF       R6 
	MOVF        _tmr1_count+3, 0 
	MOVWF       R7 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _count_tmp2+0 
	MOVF        R1, 0 
	MOVWF       _count_tmp2+1 
	MOVF        R2, 0 
	MOVWF       _count_tmp2+2 
	MOVF        R3, 0 
	MOVWF       _count_tmp2+3 
;KaitenkeiBarMini.mbas,532 :: 		rpm        = count_tmp1 + count_tmp2
	MOVF        _count_tmp1+0, 0 
	ADDWF       R0, 1 
	MOVF        _count_tmp1+1, 0 
	ADDWFC      R1, 1 
	MOVF        _count_tmp1+2, 0 
	ADDWFC      R2, 1 
	MOVF        _count_tmp1+3, 0 
	ADDWFC      R3, 1 
	MOVF        R0, 0 
	MOVWF       _rpm+0 
	MOVF        R1, 0 
	MOVWF       _rpm+1 
	MOVF        R2, 0 
	MOVWF       _rpm+2 
	MOVF        R3, 0 
	MOVWF       _rpm+3 
;KaitenkeiBarMini.mbas,534 :: 		rpm_decode( rpm, tacho_div )
	MOVF        R0, 0 
	MOVWF       FARG_rpm_decode_rpm+0 
	MOVF        R1, 0 
	MOVWF       FARG_rpm_decode_rpm+1 
	MOVF        R2, 0 
	MOVWF       FARG_rpm_decode_rpm+2 
	MOVF        R3, 0 
	MOVWF       FARG_rpm_decode_rpm+3 
	MOVF        _tacho_div+0, 0 
	MOVWF       FARG_rpm_decode_rpm_div+0 
	MOVF        _tacho_div+1, 0 
	MOVWF       FARG_rpm_decode_rpm_div+1 
	MOVF        _tacho_div+2, 0 
	MOVWF       FARG_rpm_decode_rpm_div+2 
	MOVF        _tacho_div+3, 0 
	MOVWF       FARG_rpm_decode_rpm_div+3 
	CALL        _rpm_decode+0, 0
;KaitenkeiBarMini.mbas,536 :: 		display_flag = FALSE
	CLRF        _display_flag+0 
L__main199:
;KaitenkeiBarMini.mbas,539 :: 		if sw_test(1) = SW_ON then
	MOVLW       1
	MOVWF       FARG_sw_test_sw_no+0 
	CALL        _sw_test+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main202
;KaitenkeiBarMini.mbas,540 :: 		if 0 < dimmer then
	MOVF        _dimmer+0, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L__main205
;KaitenkeiBarMini.mbas,541 :: 		dimmer = dimmer - 1
	DECF        _dimmer+0, 1 
;KaitenkeiBarMini.mbas,542 :: 		eeprom_write( EEPADDR_DIMMER, dimmer )
	MOVLW       4
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _dimmer+0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
L__main205:
;KaitenkeiBarMini.mbas,543 :: 		end if
L__main202:
;KaitenkeiBarMini.mbas,546 :: 		if sw_test(2) = SW_ON then
	MOVLW       2
	MOVWF       FARG_sw_test_sw_no+0 
	CALL        _sw_test+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main208
;KaitenkeiBarMini.mbas,547 :: 		if dimmer < 4 then
	MOVLW       4
	SUBWF       _dimmer+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__main211
;KaitenkeiBarMini.mbas,548 :: 		dimmer = dimmer + 1
	INCF        _dimmer+0, 1 
;KaitenkeiBarMini.mbas,549 :: 		eeprom_write( EEPADDR_DIMMER, dimmer )
	MOVLW       4
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _dimmer+0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
L__main211:
;KaitenkeiBarMini.mbas,550 :: 		end if
L__main208:
;KaitenkeiBarMini.mbas,553 :: 		wend
	GOTO        L__main191
L_end_main:
	GOTO        $+0
; end of _main
